Subject: bug#46036: closed (Re: bug#46036: fails do build on macos 10.7)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Jan 2021 22:17:02 +0000

Your bug report

#46036: fails do build on macos 10.7

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46036: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46036
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46036: fails do build on macos 10.7
From: Alan Third <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Riccardo Mottola <[email-masked]>
Date: Sat, 30 Jan 2021 22:15:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jan 30, 2021 at 08:34:00PM +0200, Eli Zaretskii wrote:
> > Cc: [email-masked]
> > From: Riccardo Mottola <[email-masked]>
> > Date: Sat, 30 Jan 2021 19:32:17 +0100
> > 
> > > Is this change safe, or will we need another pretest to be sure?  I
> > > thought we could next go straight to a release candidate.
> > 
> > to my knowledge it is safe: it is really equivalent code, the new syntax 
> > is just a shortcut. A test on a newer MacOS is of course needed, I don't 
> > have one.
> 
> Thanks.

I agree that it's safe so I've pushed the change.
-- 
Alan Third

Subject: fails do build on macos 10.7
From: Riccardo Mottola <[email-masked]>
To: [email-masked]
Date: Fri, 22 Jan 2021 15:57:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Compilation of 27.1 yields:
nsfns.m:496:33: error: unexpected type name 'BOOL': expected expression
   NSNumber *isUbiquitousItem = @YES;
                                 ^
/usr/include/objc/objc.h:50:26: note: expanded from macro 'YES'
#define YES             (BOOL)1
                          ^

this code is guarded with MacOS 10.7, but the compiler doesn't like it.

It is as easy to write it old-style:
   NSNumber *isUbiquitousItem = [NSNumber numberWithBool:YES];

and emacs 27.1 happily running on Lion again.

Thanks